Name:		qubes-mgmt-salt-dom0-qubes-infrastructure
Version:	2.0.14
Release:	1%{?dist}
Summary:	Manage Qubes OS infrastructure VMs

Group:		System administration tools
License:	GPL 2.0
BuildArch:  noarch
URL:		https://www.qubes-os.org/
Source:	%{name}-%{version}.tar.gz

Requires:	qubes-mgmt-salt
Requires:	qubes-mgmt-salt-dom0

# Turn off automatic python bytecompilation
%undefine py_auto_byte_compile

%description


%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}


%files
%defattr(-,root,root)
%doc LICENSE README.md
%attr(750, root, root) %dir /srv/formulas/base/qubes-infrastructure
/srv/formulas/base/qubes-infrastructure/README.md
/srv/formulas/base/qubes-infrastructure/LICENSE
/srv/formulas/base/qubes-infrastructure/build-infra

%attr(750, root, root) %dir /srv/pillar/base/build-infra
%config(noreplace) /srv/pillar/base/build-infra/init.sls
%config(noreplace) /srv/pillar/base/build-infra/logs.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel-repo.sls
%config(noreplace) /srv/pillar/base/build-infra/build-vms.sls
%config(noreplace) /srv/pillar/base/build-infra/init.top

%config(noreplace) /etc/salt/minion.d/qubes-infrastructure.conf

%changelog
* Sat May 08 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-infrastructure.git

* Sat May 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 74ca9ec
- version 2.0.14

* Sat May 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 845c597
- Update submodules

* Fri May 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e89d3a1
- version 2.0.13

* Thu May 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e4704c7
- Don't remove old packages from 'current' repo

* Thu May 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6fc912c
- Revert "Check that builder names are valid"

* Thu May 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cd0f37c
- Update default template names

* Thu May 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0ebc263
- Update submodules

* Mon Jan 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a70264e
- version 2.0.12

* Mon Jan 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e977b2b
- Fix safe-checkout-sha script

* Thu Dec 31 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 004cdba
- Mass replace: ‘/var/run’ → ‘/run’

* Fri Nov 20 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 088ac11
- Remove git@

* Thu Nov 19 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 1482f81
- Remove unneeded curly braces

* Thu Nov 19 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 6af50c8
- Tell Salt that the script creates the builder dir

* Thu Nov 19 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - ab1c995
- Check that builder names are valid

* Thu Nov 19 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 1230ca7
- Respond to code review from @marmarek:

* Wed Nov 18 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - d6ddc64
- Safely checkout qubes-builder

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fd2780c
- Add .gitlab-ci.yml

* Wed Nov 11 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - a8566f2
- Update submodule to fix metadata signing

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4489cef
- version 2.0.11

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1fa1d1b
- ssh-proxy: use socat instead of nc

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6214aba
- version 2.0.10

* Fri Oct 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2254fc3
- webhooks: refactor with newer app

* Sat Sep 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09c71b9
- version 2.0.9

* Sat Sep 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 370d8f5
- update qubes-builder submodule

* Sat Sep 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0fa6d0
- builder-cleanup: cleanup apt archive too

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d1347c8
- Update travis

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eeb9f78
- version 2.0.8

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dfc9b0f
- Change cleanup service to weekly schedule

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 826fd6a
- Remove old kernel sources too

* Fri Jun 26 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c89f897
- version 2.0.7

* Fri Jun 26 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 594b34c
- Update Github hook IPs

* Thu Jun 25 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bd8d606
- Allow another VM as netvm for sys-net

* Thu Jun 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6bdf633
- version 2.0.6

* Thu Jun 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aefc244
- Switch default template to fedora-31

* Thu Jun 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5a97a90
- Switch package deps to python3 where applicable

* Thu Jun 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0bb3475
- Update qubes-builder submodule

* Fri Feb 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6196681
- Update qubes-builder submodule

* Sat Feb 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 08365bc
- pillar: common file for repo definition for logs and build VMs

* Fri Feb 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d2f94ba
- version 2.0.5

* Fri Feb 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7a81d7c
- pillar: make repo definitions available globally

* Fri Feb 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 505cee6
- multiple logs: fix remaining previous prefix build-

* Thu Feb 13 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8f390e5
- Preserve current github build-logs repository name

* Thu Feb 13 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e5045a3
- logs VM: renamed to 'logs-' based prefix

* Thu Feb 13 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7bb45b1
- ssh-proxy: add hosts provided by remote-hosts in pillar

* Thu Feb 13 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c0ff5be
- build-logs: fix git url

* Tue Feb 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9b5515a
- spec: add pillar example for another logs VM

* Tue Feb 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 22024aa
- build-logs: git URL is assumed to be SSH

* Tue Feb 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2308eee
- Uniformize build logs prefix denomitation

* Tue Feb 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 22cecca
- Handle build logs VM per builder VM

* Thu Feb 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21913c4
- version 2.0.4

